<T3DataStructure>
    <sheets>
        <display>
            <ROOT>
                <sheetTitle>
                    LLL:EXT:drk_courseview/Resources/Private/Language/locallang_be.xlf:flexforms_tab.display
                </sheetTitle>
                <el>
                    <settings.flexforms.preselection_organisation>
                        <TCEforms>
                            <label>
                                LLL:EXT:drk_courseview/Resources/Private/Language/locallang_be.xlf:flexforms_form.preselection_organisation
                            </label>
                            <config>
                                <type>select</type>
                                <renderType>selectSingle</renderType>
                                <items type="array">
                                    <numIndex index="0" type="array">
                                        <numIndex index="0">
                                            LLL:EXT:drk_courseview/Resources/Private/Language/locallang_be.xlf:flexforms_form.preselection.none
                                        </numIndex>
                                        <numIndex index="1">0</numIndex>
                                    </numIndex>
                                </items>
                                <itemsProcFunc>
                                    DRK\DrkCourseview\Domain\Repository\CourseRepository->addOrganisationListItems
                                </itemsProcFunc>
                                <itemsProcFunc_params type="array">
                                    <extensionName>DrkCourseview</extensionName>
                                    <pluginName>Courseview</pluginName>
                                </itemsProcFunc_params>
                            </config>
                        </TCEforms>
                    </settings.flexforms.preselection_organisation>
                    <settings.flexforms.man_preselection_organisation>
                        <TCEforms>
                            <label>
                                LLL:EXT:drk_courseview/Resources/Private/Language/locallang_be.xlf:flexforms_form.preselection_organisation_optionally
                            </label>
                            <config>
                                <type>input</type>
                                <size>9</size>
                            </config>
                        </TCEforms>
                    </settings.flexforms.man_preselection_organisation>
                    <settings.flexforms.preselection_course>
                        <TCEforms>
                            <label>
                                LLL:EXT:drk_courseview/Resources/Private/Language/locallang_be.xlf:flexforms_form.preselection_course
                            </label>
                            <onChange>reload</onChange>
                            <config>
                                <type>select</type>
                                <renderType>selectSingle</renderType>
                                <items type="array">
                                    <numIndex index="0" type="array">
                                        <numIndex index="0">
                                            LLL:EXT:drk_courseview/Resources/Private/Language/locallang_be.xlf:flexforms_form.preselection.none
                                        </numIndex>
                                        <numIndex index="1">0</numIndex>
                                    </numIndex>
                                </items>
                                <itemsProcFunc>
                                    DRK\DrkCourseview\Domain\Repository\CourseRepository->addCourseListItems
                                </itemsProcFunc>
                                <itemsProcFunc_params type="array">
                                    <extensionName>DrkCourseview</extensionName>
                                    <pluginName>Courseview-ls</pluginName>
                                    <courseType>L</courseType>
                                    <sortAlphabetically>true</sortAlphabetically>
                                </itemsProcFunc_params>
                            </config>
                        </TCEforms>
                    </settings.flexforms.preselection_course>
                    <settings.flexforms.preselection_course_label>
                        <TCEforms>
                            <label>
                                LLL:EXT:drk_courseview/Resources/Private/Language/locallang_be.xlf:flexforms_form.preselection_courselabel
                            </label>
                            <displayCond>FIELD:settings.flexforms.preselection_course:>:0</displayCond>
                            <config>
                                <type>select</type>
                                <renderType>selectSingle</renderType>
                                <items type="array">
                                    <numIndex index="0" type="array">
                                        <numIndex index="0">
                                            LLL:EXT:drk_courseview/Resources/Private/Language/locallang_be.xlf:flexforms_form.preselection.none
                                        </numIndex>
                                        <numIndex index="1">0</numIndex>
                                    </numIndex>
                                </items>
                                <itemsProcFunc>
                                    DRK\DrkCourseview\Domain\Repository\CourseRepository->addCourseLabelItems
                                </itemsProcFunc>
                                <itemsProcFunc_params type="array">
                                    <extensionName>DrkCourseview</extensionName>
                                    <pluginName>Courseview</pluginName>
                                    <sortAlphabetically>true</sortAlphabetically>
                                </itemsProcFunc_params>
                            </config>
                        </TCEforms>
                    </settings.flexforms.preselection_course_label>
                </el>
            </ROOT>
        </display>
    </sheets>
</T3DataStructure>
